jvx.numeric

## Class PnBandEigenSolver

- java.lang.Object
- - jv.object.PsObject
  - - jvx.numeric.PnBandEigenSolver

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf

      public abstract class PnBandEigenSolver
      extends PsObject

  Eigensolver computing a band instead the full spectrum of a matrix.
  See Also:
    Serialized Form
  Author:
    Christoph von Tycowicz
  Version:
    08.09.2008, 1.00 created (cvt)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DENSE` fields determing type of matrix for that a band can be computed
    `static int` | `SPARSE`

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnBandEigenSolver()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `computeBand(PdVector values, PdVector[] vectors)` Compute band of the spectrum.
    `int` | `getCount()`
    `abstract int` | `getInputType()` Either `DENSE` or `SPARSE` depending on the espected type of input.
    `abstract java.lang.Object` | `getMatrix()`
    `double` | `getShift()`
    `int` | `getStepsize()`
    `boolean` | `isAscending()`
    `abstract boolean` | `isAvailable()` Whether solver is available or not.
    `boolean` | `isCheckResults()`
    `void` | `setAscending(boolean ascending)`
    `void` | `setCheckResults(boolean check)`
    `void` | `setCount(int count)`
    `abstract void` | `setMatrix(java.lang.Object matrix)`
    `void` | `setShift(double shift)`
    `void` | `setStepsize(int stepsize)`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, init, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, update, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DENSE

          public static final int DENSE

      fields determing type of matrix for that a band can be computed
      See Also:
        Constant Field Values

    - #### SPARSE

          public static final int SPARSE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PnBandEigenSolver

          public PnBandEigenSolver()

  - ### Method Detail

    - #### isAvailable

          public abstract boolean isAvailable()

      Whether solver is available or not.

    - #### getInputType

          public abstract int getInputType()

      Either `DENSE` or `SPARSE` depending on the espected type of input.

    - #### setMatrix

          public abstract void setMatrix(java.lang.Object matrix)

      Parameters:
        `matrix` - `PdMatrix` if `getInputType()` is `DENSE` or `PnSparseMatrix` if it is `SPARSE`.

    - #### getMatrix

          public abstract java.lang.Object getMatrix()

      Returns:
        matrix

    - #### computeBand

          public int computeBand(PdVector values,
                                 PdVector[] vectors)

      Compute band of the spectrum.
      Parameters:
        `values` - Elements will be found eigenvalues.
        `vectors` - Will contain found eigenvectors.
      Returns:
        Number of found eigenpairs.

    - #### getStepsize

          public int getStepsize()

      Returns:
        Number of eigenparis computed per step.

    - #### setStepsize

          public void setStepsize(int stepsize)

      Parameters:
        `stepsize` - Number of eigenparis computed per step (if too high lanczos-vectors will lose orthogonality).

    - #### getShift

          public double getShift()

      Returns:
        Initial shift for computation.

    - #### setShift

          public void setShift(double shift)

      Parameters:
        `shift` - Initial shift for computation.

    - #### isAscending

          public boolean isAscending()

      Returns:
        Weather eigenvalues greater or smaller than shift are searched.

    - #### setAscending

          public void setAscending(boolean ascending)

      Parameters:
        `ascending` - Flag weather eigenvalues greater or smaller than shift are searched.

    - #### getCount

          public int getCount()

      Returns:
        Number of searched eigenvalues.

    - #### setCount

          public void setCount(int count)

      Parameters:
        `count` - Number of searched eigenvalues.

    - #### setCheckResults

          public void setCheckResults(boolean check)

      Parameters:
        `check` - Flag whether quality of computed eigenvalues/-vectors is checked.

    - #### isCheckResults

          public boolean isCheckResults()

      Returns:
        Flag whether quality of computed eigenvalues/-vectors is checked.

"

The software JavaView? is copyright protected. All Rights Reserved.
"